/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.MidValidExecJobDao;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.service.MidValidExecJobService;
import net.northking.cctp.dw.db.entity.MidValidExecJob;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 用户有效执行用例数中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 14:49:41  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MidValidExecJobServiceImpl")
public class MidValidExecJobServiceImpl extends PaginationService<MidValidExecJob> implements MidValidExecJobService {
    private static final Logger logger = LoggerFactory.getLogger(MidValidExecJobServiceImpl.class);

    private final MidValidExecJobDao midValidExecJobDao;

    public MidValidExecJobServiceImpl(MidValidExecJobDao midValidExecJobDao) {
        this.midValidExecJobDao = midValidExecJobDao;
    }

    public BasicDao<MidValidExecJob> getDao() {
        return midValidExecJobDao;
    }

    public MidValidExecJob createEntity() {
        return new MidValidExecJob();
    }

    @Override
    protected void beforeInsert(MidValidExecJob midValidExecJob) {

    }

    @Override
    protected void beforeUpdate(MidValidExecJob midValidExecJob) {

    }

    @Override
    public Integer validExecJob(List<MidProjectInfo> dataList, String tenantId) {
        return midValidExecJobDao.validExecJob(dataList,tenantId);
    }

    @Override
    public void deleteByData(List<MidProjectInfo> dataList, String tenantId) {
        midValidExecJobDao.deleteByData(dataList,tenantId);
    }

}

